Package twisted :: Package persisted :: Package journal :: Module rowjournal

[frames | no frames]

## Module twisted.persisted.journal.rowjournal

Journal using twisted.enterprise.row RDBMS support.

You're going to need the following table in your database:

       | CREATE TABLE journalinfo
       | (
       |   commandIndex int
       | );
       | INSERT INTO journalinfo VALUES (0);

Classes
`RowJournal` | Journal that stores data 'snapshot' in using twisted.enterprise.row.

Variable Summary
`int` | `DELETE` = 1
`int` | `INSERT` = 0
`int` | `UPDATE` = 2

Variable Details

### DELETE

  Type:
    `int`
  Value:

        1

### INSERT

  Type:
    `int`
  Value:

        0

### UPDATE

  Type:
    `int`
  Value:

        2

Generated by Epydoc 2.0 on Sat May 15 20:07:43 2004 | http://epydoc.sf.net